"use strict";

var _Quantity = _interopRequireDefault(require("./lib/Quantity"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Create a new Quantity object to access conversion functions.
 * @param {string} inputMeasurement The base measurement to convert from in the form <quantity> <unit>.
 * For example, 12 cups. Quantities can be integers or decimals, so 15.5 tablespoons is also
 * acceptable. The interpreter also understands most abbreviated units, e.g. 1 oz.
 */
module.exports = function (inputMeasurement) {
  return new _Quantity.default(inputMeasurement);
};